function battle_sai047(npcID)       --雪女
	local m=flag.GetBattleValue(12001)
	m=m+1
	flag.SetBattleValue(12001,m)
	
	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end
	
	id = battle.GetRndPlayer()
	
	if m%5==1 then
		local a = battle.GetRndNumber(1,2)
		if a==1 then
			battle.MagicToPlayer(id,1551,1)
		else
			battle.MagicToPlayer(0,1552,1)
		end
	elseif m%5==2 then
		battle.MagicToNpc(npcID,1553,1)
	elseif m%5==4 then
		flag.SetBattleValue(21000,0)
		battle.MagicToPlayer(0,1555,1)
	else
		local a = battle.GetRndNumber(1,4)
		if a==1 then
			battle.MagicToPlayer(id,1551,1)
		elseif a==4 then
			flag.SetBattleValue(21000,0)
			battle.MagicToPlayer(0,1555,1)
		else
			battle.MagicToPlayer(0,1554,1)
		end
		
	end
	

	
		
end